de.dhbwstuttgart.syntaxtree

## Class FieldDeclaration

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GTVDeclarationContext
    - - de.dhbwstuttgart.syntaxtree.Field
      - - de.dhbwstuttgart.syntaxtree.FieldDeclaration

All Implemented Interfaces:
  IItemWithOffset, Generic, GenericTypeInsertable, Typeable, TypeInsertable

    public class FieldDeclaration
    extends Field

Eine Feldinitialisation steht fÃ¼r eine Felddeklaration mit gleichzeitiger Wertzuweisung Beispiel: 'public Feld FeldVar = FeldWert;'

Author:
  janulrich

### Field Summary

Fields
`private Expr` `wert`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.Field

`declid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`FieldDeclaration(int offset)`
`FieldDeclaration(java.lang.String name, Type typ)` Dieser Konstruktor der FieldDeclaration erstellt den Syntaxknoten vollstÃ¤ndig.

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeAssumptions` `createTypeAssumptions(Class classmember)` Diese Methode generiert die Assumptions fÃ¼r dieses Feld der Klasse classmember
`Menge<SyntaxTreeNode>` `getChildren()`
`java.lang.String` `getIdentifier()`
`int` `getVariableLength()`
`Expr` `getWert()`
`void` `parserPostProcessing(SyntaxTreeNode parent)` Wird nach dem Parsen aufgerufen.
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `setWert(Expr initialExpression)`
`java.lang.String` `toString()`
`ConstraintsSet` `TYPE(TypeAssumptions publicAssumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist)` Wird im Zuge des ParserPostProcessing aufgerufen.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.Field

`createTypeInsertPoint, get_Name, getDeclIdMenge, getDescription, getGenericDeclarationList, getGenericParameter, getGenericVarDeclarationOffset, getGenericVarDeclarationString, getOffset, getType, isClass, isPublic, set_DeclId, setDeclIdMenge, setGenericParameter, setOffset, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.GTVDeclarationContext

`getGTVDeclarationContext`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getMatchingParentNode, getParent, getParentClass, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### wert

    private Expr wert

### Constructor Detail

#### FieldDeclaration

    public FieldDeclaration(java.lang.String name,
                            Type typ)

Dieser Konstruktor der FieldDeclaration erstellt den Syntaxknoten vollstÃ¤ndig. Kein nachtrÃ¤gliches hinzfÃ¼gen von Informationen oder aufrufen von parserPostProcessing ist notwendig.

#### FieldDeclaration

    public FieldDeclaration(int offset)

### Method Detail

#### setWert

    public void setWert(Expr initialExpression)

#### getWert

    public Expr getWert()

#### getIdentifier

    public java.lang.String getIdentifier()

Specified by:
  `getIdentifier` in interface `TypeInsertable`
Overrides:
  `getIdentifier` in class `Field`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Field`

#### createTypeAssumptions

    public TypeAssumptions createTypeAssumptions(Class classmember)

Description copied from class: `Field`
Diese Methode generiert die Assumptions fÃ¼r dieses Feld der Klasse classmember

Specified by:
  `createTypeAssumptions` in class `Field`
Returns:

#### parserPostProcessing

    public void parserPostProcessing(SyntaxTreeNode parent)

Description copied from class: `SyntaxTreeNode`
Wird nach dem Parsen aufgerufen. ErfÃ¼llt folgenden Aufgaben: 1. FÃ¼llt fehlende Typangaben mit TPHs auf. 2. VerknÃ¼pft die Knoten des Syntaxbaums. (setzt Parent) 3. Wechselt RefTypes gegebenenfalls mit GenericTypeVars aus. 4. FÃ¼hrt einen Teil des Syntaxckecks durch.

Overrides:
  `parserPostProcessing` in class `SyntaxTreeNode`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Overrides:
  `getChildren` in class `Field`

#### getVariableLength

    public int getVariableLength()

#### TYPE

    public ConstraintsSet TYPE(TypeAssumptions publicAssumptions)

Specified by:
  `TYPE` in class `Field`

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist)

Description copied from class: `Field`
Wird im Zuge des ParserPostProcessing aufgerufen. Der Parser kann den Unterschied zwischen einem RefType und einer GTV nicht erkennen. Diese Methode ersetzt die RefTypes gegebenenfalls durch eine GTV.

Overrides:
  `wandleRefTypeAttributes2GenericAttributes` in class `Field`